org.apache.nutch.parse

## Enum ParseUtil.ChangeFrequency

- java.lang.Object
- - java.lang.Enum<ParseUtil.ChangeFrequency>
  - - org.apache.nutch.parse.ParseUtil.ChangeFrequency

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ParseUtil.ChangeFrequency>
  Enclosing class:
    ParseUtil

      public static enum ParseUtil.ChangeFrequency
      extends java.lang.Enum<ParseUtil.ChangeFrequency>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS`
    `DAILY`
    `HOURLY`
    `MONTHLY`
    `NEVER`
    `WEEKLY`
    `YEARLY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParseUtil.ChangeFrequency` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ParseUtil.ChangeFrequency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final ParseUtil.ChangeFrequency ALWAYS

    - #### HOURLY

          public static final ParseUtil.ChangeFrequency HOURLY

    - #### DAILY

          public static final ParseUtil.ChangeFrequency DAILY

    - #### WEEKLY

          public static final ParseUtil.ChangeFrequency WEEKLY

    - #### MONTHLY

          public static final ParseUtil.ChangeFrequency MONTHLY

    - #### YEARLY

          public static final ParseUtil.ChangeFrequency YEARLY

    - #### NEVER

          public static final ParseUtil.ChangeFrequency NEVER

  - ### Method Detail

    - #### values

          public static ParseUtil.ChangeFrequency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParseUtil.ChangeFrequency c : ParseUtil.ChangeFrequency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParseUtil.ChangeFrequency valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2019 The Apache Software Foundation